Jump to content
Giuseppe01

[RISOLTO] Devi specificare "offers", "review" o "aggregateRating"

Recommended Posts

Posted (edited)

Buongiorno, 

non so se su questo forum ci sia qualcuno che possa aiutarmi in questo, ma ci provo. 

Il mio problema è dato da un avviso su Google search Console, all'interno di "Miglioramenti" -> "Prodotti": Devi specificare "offers", "review" o "aggregateRating".

Mi pare che per risolverlo bisogna intervenire sui Dati strutturati. Attualmente non credo di avere tutta l'abilità necessaria per modificare il codice ed andare ad inserire i dati strutturati. In ogni caso non so proprio come muovermi. 

Qualcuno di voi saprebbe aiutarmi? Cosa dovrei fare per inserire quei dati strutturati? Devo per forza modificare il codice o ci sono vie alternative più semplici ed accessibili?

 

Grazie mille in anticipo,

Cordiali saluti

Giuseppe

Edited by Giuseppe01 (see edit history)

Share this post


Link to post
Share on other sites

Si tratta di un problema noto, gia' risolto ma purtroppo non ancora pubblicato.

La correzione dovrebbe essere disponibile con la versione 1.7.7.0 di PrestaShop , prevista per Aprile/Maggio.

In alternativa se vuoi applicare le modifiche da te, puoi vedere a questo link:

Implement Schema ItemList for products listing & Fix Schema Product #14558

In passato avevo proposto di togliere quei dati dalle miniature dei prodotti, in quel contesto non servono e creano problemi.

Share this post


Link to post
Share on other sites

Grazie mille per l'aiuto. Aspetterò di fare l'aggiornamento, se eventualmente darà ancora l'errore, procederò con l'altro metodo che mi hai indicato.

Una curiosità: quando faccio l'aggiornamento, in genere, verifico per ciascun modulo se è compatibile con la nuova versione. Esiste un modo molto più rapido per verificare se si può effettuare l'aggiornamento senza compromettere alcuna funzionalità?

Grazie mille ancora

Saluti, Giuseppe

Share this post


Link to post
Share on other sites

Non esiste un metodo rapido per verificare la compatibilita' degli aggiornamenti con i moduli, specie se si tratta di moduli non ufficiali.

In linea di massima la compatibilita' c'e' sempre quando si tratta di piccoli aggiustamenti, cioe' quando cambia solo l'ultima cifra della versione, ad esempio da 1.7.6.1 a 1.7.6.3, se invece dovesse cambiare la penultima cifra sarebbe bene documentarsi o aspettare un po' prima di effettuare l'aggiornamento, per vedere se ci sono segnalazioni.

In ogni caso se fai una copia puoi sempre tornare indietro ripristinando solo i file di programma, senza toccare i dati degli archivi.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More